---
- name: Install Dependencies
  include_tasks: install.dependencies.yml

#- name: Get Num from source
#  git:
#    repo: "{{ num_git_url }}"
#    dest: "{{ num_install_path }}"
#    version: "{{ num_git_version }}"
#    update: "{{ num_git_update }}"
#    force: "{{ num_git_force }}"

#- name: Get Num Version
#  command: "python3 setup.py --version"
#  args:
#    chdir: "{{ num_install_path }}"
#  register: num__setup_version
#  changed_when: false

#- name: Set Fact about Num Version
#  set_fact:
#    num_version: "{{ num__setup_version.stdout }}"

#- name: Create Dist File
#  command: "python3 setup.py sdist"
#  args:
#    chdir: "{{ num_install_path }}"
#    creates: "{{ num_install_path }}/dist/num-{{ num_version }}.tar.gz"

# warning failed at Idempotence test with venv
- name: Install Num In VenV
  pip:
    name: "git+{{ num_git_url }}@{{ num_git_version }}#egg=num"
    virtualenv: "{{ num_install_path }}/venv"
    # extra_args: "{{ num_install_pip_extra_args }}"
    executable: pip3
  when:
    - num_install_method == 'venv'
  tags:
    - molecule-idempotence-notest

- name: Install Num
  pip:
    name: "git+{{ num_git_url }}@{{ num_git_version }}#egg=num"
    # extra_args: "{{ num_install_pip_extra_args }}"
    executable: pip3
  when:
    - num_install_method == 'pip'
  tags:
    - molecule-idempotence-notest

- name: Create Config Directory
  file:
    path: "/etc/num"
    state: directory

- name: Generated Num Config
  template:
    src: conf.j2
    dest: "/etc/num/conf.yml"
    mode: "0600"
